<?
include_once H.'/sys/inc/start.php';
include_once H.'/sys/inc/compress.php';
include_once H.'/sys/inc/sess.php';
include_once H.'/sys/inc/home.php';
include_once H.'/sys/inc/settings.php';
include_once H.'/sys/inc/db_connect.php';
include_once H.'/sys/inc/ipua.php';
include_once H.'/sys/inc/fnc.php';
include_once H.'/sys/inc/user.php';

include_once H.'/sys/inc/thead.php';



$set['title']='Фото с конкурса';
title();
aut();

$id = intval($_GET['id']);
$res = mysql_fetch_assoc(mysql_query("SELECT * FROM `fk_foto` WHERE `id` = '".$id."' "));
$fk = mysql_fetch_assoc(mysql_query("SELECT * FROM `fk` WHERE `id` = '".$res['id_fk']."' "));

if(!isset($id) or $res['images'] == null){
header("Location: index.php?".SID); }





$ank = get_user($res['id_user']);

$proverka3 = mysql_result(mysql_query("SELECT COUNT(id_fk) FROM `fk_golos` WHERE `id_fk` = '".$res['id_fk']."' and `id_user` = '".$user['id']."' "),0);

echo '<div class="mess"><a href="images/'.$res['images'].'"><img src="images/'.$res['images'].'" width="150"/></a> 

<br/> </div>';
if($res['active'] == 0) echo '<div class="err"> Фото заблокировано! </div>';
echo '<div class="main"><img src="img/user.png"> Добавил: <a href="/info.php?id='.$res['id_user'].'"> '.$ank['nick'].'</a></div>';
echo '<div class="main"><img src="img/time.png"> Добавлено: <b>'.vremja($res['time']).'</b> </div>';

$proverka = mysql_result(mysql_query("SELECT COUNT(id_foto) FROM `fk_golos` WHERE `id_foto` = '".$id."' and `id_user` = '".$user['id']."' "),0);


if(isset($user['id']) and $res['id_user'] != $user['id'] and $proverka == 0 and $proverka3 < $fk['skolko'] and $res['active'] == 1 and $fk['active'] == 1) { 
$golosov  = '<a href="?id='.$id.'&golos"><img src="img/golos.png"> Голосовать</a>'; 
}
elseif (!isset($user['id']) or $res['id_user'] == $user['id'] or $res['active'] == 0 or $fk['active'] == 0 or $fk['active'] == 3 or $proverka3 == $fk['skolko']) { 

  $golosov = (isset($user) && $res['active'] == 3 ? 'Голосование еще не началось..' : ''); 
}
elseif ( $proverka == 1 ) {  
  $golosov = '<img src="img/golos.png"> Ваш голос учтен!'; 
} 

echo '<div class="main"><img src="img/top.png"> <b>'.des2num($res['golosov'], array('голос', 'голоса', 'голосов')).'</b></div>';

if (isset($golosov)) {
  echo '<div class="main"> '.$golosov.'</div>';
}

if(isset($_GET['golos'])) {   

$proverka = mysql_result(mysql_query("SELECT COUNT(id_foto) FROM `fk_golos` WHERE `id_foto` = '".$id."' and `id_user` = '".$user['id']."' "),0);


if(isset($user['id']) and $res['id_user'] != $user['id'] and $proverka == 0 and $proverka3 < 3 and $res['active'] == 1 and $fk['active'] == 1) 
{ 

mysql_query("INSERT INTO `fk_golos` (`id_foto`, `id_fk`, `id_user`, `time`) values ('".$id."', '".$res['id_fk']."', '".$user['id']."', '".$time."')");

mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) 
values('0', '".$res['id_user']."', 'За ваше фото проголосовали в фотоконкурсе [url=/plugins/foto.konkurs/foto.php?id=$id][b]$fk[name][/b][/url]', '$time')");

$vsego = mysql_result(mysql_query("SELECT COUNT(id_foto) FROM `fk_golos` WHERE `id_foto` = '".$id."'  "),0);

mysql_query("UPDATE `user` SET `balls` = `balls`+'".$fk['golosue']."'  where `id` =  '".$user['id']."'  ");

mysql_query("UPDATE `fk_foto` SET `golosov` = '".$vsego."' where `id` =  '".$id."'  ");


header("Location: foto.php?id=".$id."".SID); 

}
}

if($user['level'] > 4) {
if($res['active'] == 1) {
echo '<div class="nav2"> <a href="foto.php?id='.$id.'&block"> Заблокировать фото</a></div>';}
else {echo'<div class="nav2"> <a href="foto.php?id='.$id.'&razblock"> Разблокировать фото</a></div>';}


if(isset($_GET['block'])) {
echo '<div class="nav2">Вы уверены: <a href="foto.php?id='.$id.'&block='.$res['time'].'"> Да, заблокировать</a> | 
<a href="foto.php?id='.$id.'"> Нет, отменить</a> </div>';

if($_GET['block'] == $res['time']) {
mysql_query("UPDATE `fk_foto` SET `active` = '0' where `id` =  '".$id."'  ");

mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) 
values('0', '".$res['id_user']."', 'Ваше фото заблокировали в фотоконкурсе [url=/plugins/foto.konkurs/foto.php?id=$id][b]$fk[name][/b][/url]', '$time')");



 header("Location: foto.php?id=".$id."".SID); 

}
}
if(isset($_GET['razblock'])) {
echo '<div class="nav2">Вы уверены: <a href="foto.php?id='.$id.'&razblock='.$res['time'].'"> Да, разблокировать</a> | 
<a href="foto.php?id='.$id.'"> Нет, отменить</a> </div>';

if($_GET['razblock'] == $res['time']) {
mysql_query("UPDATE `fk_foto` SET `active` = '1' where `id` =  '".$id."'  ");
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) 
values('0', '".$res['id_user']."', 'Ваше фото разблокировали в фотоконкурсе [url=/plugins/foto.konkurs/foto.php?id=$id][b]$fk[name][/b][/url]', '$time')");


 header("Location: foto.php?id=".$id."".SID); 

}
}

echo '<div class="nav2"> <a href="foto.php?id='.$id.'&null"> Аннулировать голоса</a></div>';

if(isset($_GET['null'])) {
echo '<div class="nav2">Вы уверены: <a href="foto.php?id='.$id.'&null='.$res['time'].'"> Да, аннулировать</a> | 
<a href="foto.php?id='.$id.'"> Нет, отменить</a> </div>';

if($_GET['null'] == $res['time']) {
mysql_query("UPDATE `fk_foto` SET `golosov` = '0' where `id` =  '".$id."'  ");
mysql_query("DELETE FROM `fk_golos` WHERE `id_foto` = '$id' ");
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) 
values('0', '".$res['id_user']."', 'Голоса вашего фото аннулировали в фотоконкурсе [url=/plugins/foto.konkurs/foto.php?id=$id][b]$fk[name][/b][/url]', '$time')");


 header("Location: foto.php?id=".$id."".SID); 

}
}
}





if($user['level'] > 4 or $res['id_user'] == $user['id']) {
echo '<div class="nav2"> <a href="foto.php?id='.$id.'&delete"> Удалить фото</a></div>';

if(isset($_GET['delete'])) {
echo '<div class="nav2">Вы уверены: <a href="foto.php?id='.$id.'&delete='.$res['time'].'"> Да, удалить</a> | 
<a href="foto.php?id='.$id.'"> Нет, отменить</a> </div>';

if($_GET['delete'] == $res['time']) {
mysql_query("DELETE FROM `fk_foto` WHERE `id` = '$id' ");
mysql_query("DELETE FROM `fk_golos` WHERE `id_foto` = '$id' ");
mysql_query("UPDATE `user` SET `balls` = `balls`-'".$fk['uchastie']."' where `id` =  '".$res['id_user']."'  ");
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) 
values('0', '".$res['id_user']."', 'Ваше фото удалили в фотоконкурсе [url=/plugins/foto.konkurs/konkurs.php?id=$res[id_fk]][b]$fk[name][/b][/url]', '$time')");

$path = 'images/'.$res['images'];
if (file_exists($path)) unlink($path);

 header("Location: konkurs.php?id=".$res['id_fk']."".SID); 

}

}

}



echo '<div class="foot"><img src="/style/icons/str2.gif"> <a href="konkurs.php?id='.$res['id_fk'].'">Назад</a></div>';


echo '<div class="foot"><img src="img/fk.png"> <a href="index.php">Фотоконкурсы</a></div>';

err();
include_once H.'/sys/inc/tfoot.php';
?>